Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 Aug 2014 13:39:21 -0400

> I know, Emacs is in feature freeze, and I understand that this patch
> required some changes to Emacs’ internals, but considering the security
> implications I think it’d be important to include this patch in Emacs 24.4
> as well, to bring it downstream as soon as possible.

AFAIK, this problem is far from new, so there's no real hurry.
At least

   emacs23 -Q --batch --eval '(read-passwd "hello: ")'

does not hide the password for me.

        Stefan